Skip to main content
GET
List Learnings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

learning_type
string | null

Filter by learning type

user_id
string | null

Filter by user ID

agent_id
string | null

Filter by agent ID

team_id
string | null

Filter by team ID

session_id
string | null

Filter by session ID

namespace
string | null

Filter by namespace

entity_id
string | null

Filter by entity ID

entity_type
string | null

Filter by entity type

limit
integer
default:100

Page size

Required range: 1 <= x <= 1000
page
integer
default:1

1-indexed page number

Required range: x >= 1
sort_by
string | null

Field to sort by, e.g. created_at or updated_at (the default). An unrecognised field is ignored (the default ordering is used).

sort_order
enum<string> | null
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
db_id
string | null

Database ID to query

table
string | null

The database table to use (requires db_id)

Response

Successful Response

data
LearningResponse · object[]
required

List of items for the current page

meta
PaginationInfo · object
required

Pagination metadata